summaryrefslogtreecommitdiff
path: root/gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2025-12-31 16:26:37 +0200
committerPaul Buetow <paul@buetow.org>2025-12-31 16:26:37 +0200
commit54415f53b4b0c030677c3021f6e0fb7c3025f081 (patch)
tree83d45481040dd43fffab0b6af7df496b2efa149d /gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl
parentbdd191c5e6934c02425a65983a633cdf938d2f53 (diff)
Update content for gemtext
Diffstat (limited to 'gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl')
-rw-r--r--gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl121
1 files changed, 121 insertions, 0 deletions
diff --git a/gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl b/gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl
new file mode 100644
index 00000000..a3d2c224
--- /dev/null
+++ b/gemfeed/2026-01-01-using-supernote-nomad-offline.gmi.tpl
@@ -0,0 +1,121 @@
+# Using Supernote Nomad offline
+
+> Published at 2025-12-31T16:25:30+02:00
+
+I am a note taker. For years, I've been searching for a good digital device that could complement my paper notebooks. I've finally found it in the Supernote Nomad. I use it completely offline without cloud-sync, and in this post, I'll explain why this is a benefit.
+
+=> https://supernote.com/pages/supernote-nomad Supernote Nomad
+
+I initially bought it because Retta (the manufacturer of the Supernote) stated on their website that an open-source Linux firmware would be released soon. However, after over a year, there still hasn't been any progress (hopefully there will be someday). So I looked into alternative ways to use this device.
+
+```
+⣿⣿⣿⣿⣿⣿⡿⠿⠿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⣿⣿⣿⣿⣏⠀⢶⣆⡘⠉⠙⠛⠿⠿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⣿⣿⣿⣿⠋⣤⣄⠘⠃⢠⣀⣀⠀⠀⠀⠀⠀⠉⠉⠛⠛⠿⢿⣿⣿⣿⣿⣿⣿
+⣿⣿⣿⣿⡿⠀⡉⠻⡟⠀⠈⠉⠙⠛⠷⠶⣦⣤⣄⣀⠀⠀⠀⠀⠀⣾⣿⣿⣿⣿
+⣿⣿⣿⣿⡄⠸⢿⣤⠀⢠⣤⣀⡀⠀⠀⠀⠀⠀⠉⠙⠛⠻⠶⠀⢰⣿⣿⠻⣿⣿
+⣿⣿⣿⣿⠠⣶⣆⡉⠀⠀⠈⠉⠙⠛⠳⠶⠦⣤⣤⣄⣀⡀⢀⣴⠟⠋⠙⢷⣬⣿
+⣿⣿⣿⠏⣠⡄⠹⠁⠰⢶⣤⣤⣀⡀⠀⠀⠀⠀⠀⠉⢉⣿⠟⠁⠀⠀⣠⣾⣿⣿
+⣿⣿⡿⠂⠙⠻⡆⠀⠀⠀⠀⠈⠉⠛⠛⠷⠶⣦⣤⣴⠟⠁⠀⠀⣠⣾⣿⣿⣿⣿
+⣿⣿⡇⠸⣿⣄⠀⠰⠶⢶⣤⣄⣀⡀⠀⠀⠀⣴⣟⠁⠀⠀⣠⣾⣿⣿⣿⣿⣿⣿
+⣿⡟⠀⣶⣀⠃⠀⠀⠀⠀⠀⠈⠉⠙⠛⠓⢾⡟⢙⣷⣤⢾⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⠋⣀⡉⠻⠀⠘⠛⠻⠶⢶⣤⣤⣀⡀⢠⠿⠟⠛⠉⠁⣸⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⡀⠛⠳⠆⠀⠀⠀⠀⠀⠀⠀⠉⠉⠛⠛⠷⠶⣦⠄⢀⣿⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⣿⣿⣶⣦⣀⣀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣸⣿⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣶⣶⣤⣤⣀⣀⠀⠀⠀⢠⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
+⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⣶⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
+```
+
+<< template::inline::toc
+
+## The Joy of Being Offline
+
+In a world of constant connectivity, the Supernote Nomad offers a sanctuary. By keeping it offline, I can focus on my thoughts and notes without compromise of my privacy.
+
+One of the most significant advantages of keeping Wi-Fi off is the battery life. The Supernote Nomad can last a week, on a single charge when it's not constantly searching for a network. This makes it a good companion for long trips or intense note-taking sessions.
+
+Privacy was my main concern. By not syncing my notes to Retta's cloud service, I retain full ownership and control over my data. There's no risk of my personal thoughts and ideas being accessed or mined by third parties. It's a simple and effective way to ensure my privacy.
+
+=> ./using-supernote-nomad-offline/nomad2.jpg A picture of the Supernote Nomad
+
+## My Offline Workflow
+
+My workflow is simple, only relying on a direct USB connection to my Linux laptop.
+
+I connect my Supernote Nomad to my Linux laptop via a USB-C cable. The device is automatically recognized as a storage device, and I can directly access the `Note` folder, which contains all my notes as `.note` files. I then copy these files to a dedicated archive folder on my laptop.
+
+### Converting Notes to PDF
+
+To make my notes accessible and shareable, I convert them from the proprietary `.note` format to PDF. For this, I use a fantastic open-source tool called `supernote-tool`. It's not an official tool from Ratta, but it works flawlessly.
+
+=> https://github.com/jya-dev/supernote-tool
+
+I've created a small shell script to automate the conversion process using tis tool. This script, `convert-notes-to-pdfs.sh`, resides in my notes archive folder:
+
+```bash
+#!/usr/bin/env bash
+
+convert () {
+ find . -name \*.note \
+ | while read -r note; do
+ echo supernote-tool convert -a -t pdf "$note" "${note/.note/.pdf}"
+ supernote-tool convert -a -t pdf "$note" "${note/.note/.pdf}.tmp"
+ mv "${note/.note/.pdf}.tmp" "${note/.note/.pdf}"
+ du -hs "$note" "${note/.note/.pdf}"
+ echo
+ done
+}
+
+# Make the PDFs available on my Phone as well
+copy () {
+ if [ ! -d ~/Documents/Supernote ]; then
+ echo "Directory ~/Documents/Supernote does not exist, skipping"
+ exit 1
+ fi
+
+ rsync -delete -av --include='*/' --include='*.pdf' --exclude='*' . ~/Documents/Supernote/
+ echo This was copied from $(pwd) so dont edit manually >~/Documents/Supernote/README.txt
+}
+
+convert
+copy
+```
+
+This script does two things:
+
+* It finds all `.note` files in the current directory and converts them to PDF using `supernote-tool`.
+* It copies the generated PDFs to my `~/Documents/Supernote` folder.
+
+### Syncing to my Phone
+
+The `~/Documents/Supernote` folder on my laptop is synchronized with my phone using Syncthing. This way, I have access to all my notes in PDF format on my phone, wherever I go, without relying on any cloud service.
+
+=> https://syncthing.net/
+
+### Firmware updates
+
+One usually updates the software or firmware of the Supernote Nomad via Wi-Fi. However, it is also possible to update it completely offline. To install the firmware update, follow the steps below (the following instructions were copied from the Supernote website):
+
+* Connect your Supernote to your PC with a USB-C cable. For macOS, an MTP software (e.g. OpenMTP or Android File Transfer) is required for your Supernote to show up on your Mac.
+* For Manta, Nomad, A5 X and A6 X devices, copy the firmware (DO NOT UNZIP) to the "Export" folder of Supernote; for A5 and A6 devices, copy the firmware (DO NOT UNZIP) to the root directory of Supernote.
+* Unplug the USB connection, tap “OK” on your Supernote to continue, and if no prompt pops up, please restart your device directly to proceed to update.
+
+## The Writing Experience
+
+The writing feel of the Supernote Nomad is simply great. The combination of the screen's texture and the ceramic nib of the pen creates a feeling that is remarkably close to writing on real paper. The latency is almost non-existent, and the pressure sensitivity allows for a natural and expressive writing experience. It's great to write on, and it makes me want to take more notes.
+
+=> ./using-supernote-nomad-offline/nomad1.jpg Another picture of the Supernote Nomad
+
+## Conclusion
+
+The Supernote Nomad has become an additional tool for me. By using it offline, I've created a distraction-free and private note-taking environment. The simple, manual workflow for transferring and converting notes gives me full control over my data, and the writing experience is second to none. If you're looking for a digital notebook that respects your privacy and helps you focus, I highly recommend giving the Supernote Nomad a try with an offline-first approach.
+
+The Supernote didn't fully replace my traditional paper journals, though. Each of them has its own use case. However, that is outside the scope of this blog post.
+
+Other related posts:
+
+<< template::inline::rindex cloudless offline
+
+E-Mail your comments to `paul@nospam.buetow.org` :-)
+
+=> ../ Back to the main site